html {
    font-size: 100%;
    height: 100%;
    min-height: 100%;
}

body {
	left: 0px;
	right: 0px;
	margin: 0px;
	padding: 0px;
    width: 100%;
    max-width: 100%;
	background-color: #ebebeb;
	font-family: 'Lato', sans-serif;
	font-weight: normal;
    
    overflow-x: hidden;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
}
h1 {
    font-size: 4.6rem;
    text-align: left;
    color: white;

    width: 38rem;
	margin: auto;
    margin-top: calc(30vh - 3.6rem);
    margin-left: -0.4rem;

    box-sizing: border-box;
    overflow-x: visible;
    white-space: nowrap;
    
    text-shadow: 0px 2px 12px #0004;
}

#noscript {
    position: absolute;
    top: 0;
    width: 100%;
    
    font-size: 0.8rem;
    padding: 0.4rem;
    color: #E55107;
    
    background-color: yellow;
    background-image: url(resources/warning.svg);
}

#title {
    position: absolute;
    top: 0;
    
    margin: 0 auto;
    margin-left: -webkit-calc((100% - 37.2rem) * 0.5);
    margin-left: -moz-calc((100% - 37.2rem) * 0.5);
    margin-left: calc((100% - 37.2rem) * 0.5);
}
#messageBoard {    
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    font-size: 0.9rem;
    letter-spacing: 0.4px;
    text-align: left;

    width: 36rem;
    margin-top: 1.6rem;
    padding: 0.4rem 0.8rem;

    color: black;
    background-color: white;
    opacity: 1;
}
#messageBoard a, #noscript a {
    color: #0008ff;
    text-decoration: underline;
}
#character {
    margin: 0rem;
    margin-top: -2px;
    padding: 0rem;
}
#character img {
    height: 200px;
}

a {
	text-decoration: none;
	color: #fff;
	border: none;
}
a:hover {
    text-shadow: none;
}
#content {
    width: 100%;
    max-width: 100rem;
    margin-top: 100vh;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 14rem;
    padding: 0rem 1.2rem;
    
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: baseline;
    
    box-sizing: border-box;
    
    -webkit-transition: margin-top 0.8s ease;
    -moz-transition: margin-top 0.8s ease;
    -o-transition: margin-top 0.8s ease;
    transition: margin-top 0.8s ease;
}

.portrait, .landscape {
    display: block;
    
    float: left;
    width: 18%;
    max-width: 20rem;
    min-width: 10rem;
    height: auto;
    margin: 0.8rem;
    margin-top: 8%;
    
    box-sizing: border-box;
    text-align: center;
    
    -webkit-transition: left 4s, top 4s;
    -moz-transition: left 4s, top 4s;
    -o-transition: left 4s, top 4s;
    transition: left 4s, top 4s;
}
.landscape {
    width: 24%;
    max-width: 26rem;
    min-width: 14rem;
}
.portrait a, .landscape a {
    width: 100%;
    height: 100%;
    padding: 0rem;
    margin: 0rem;
    color: transparent;
    
    display: block;
    box-sizing: border-box;
}
.portrait img {
    width: 80%;
}
.landscape img {
    width: 80%;
    margin: 2.4rem 0rem 0.8rem;
    outline-style: none;
}
h2 {
    display: inline-block;
    padding: 0.4rem 0.8rem;
    margin: 0;
    margin-top: 0.8rem;
    margin-left: auto;
    margin-right: auto;
    min-width: 3.6rem;
    
    font-size: 0.9rem;
    font-weight: 400;
    vertical-align: text-bottom;

    color: black;
    background-color: white;
    
    -webkit-transition: color 0.15s, background-color 0.3s;
    -moz-transition: color 0.15s, background-color 0.3s;
    -o-transition: color 0.15s, background-color 0.3s;
    transition: color 0.15s, background-color 0.3s;
}
.games a:hover h2 {
    background-color: #cc00ff;
    color: white;
}
.design a:hover h2 {
    background-color: #00c4ff;
    color: white;
}
.multi a:hover h2 {
    background-color: #0008ff;
    color: white;
}
.personal a:hover h2 {
    background-color: #888;
    color: white;
}

#videoContainer {
    position: absolute;
    top: 0;
    width: 100%;
    max-width: 100%;
    height: 100vh;
    opacity: 0;
    overflow: hidden;
}

/* TOPBAR */
#topbar {
    position: fixed;
    /*bottom: 2.4rem;*/
    bottom: -5.2rem;
    left: 0rem;
    left: -webkit-calc((100% - 37.2rem) * 0.5);
    left: -moz-calc((100% - 37.2rem) * 0.5);
    left: calc((100% - 37.2rem) * 0.5);
    right: auto;
    z-index: 100;
    
    width: 100%;
    max-width: 36rem;
	height: 3.6rem;
	margin: 0rem;
    padding: 1rem 0.8rem 0.6rem;
    
    background-color: #fff;
    opacity: 1;
    
    box-shadow: 0px 4px 24px #0002;
    
    -webkit-transition: bottom 0.3s ease;
    -moz-transition: bottom 0.3s ease;
    -o-transition: bottom 0.3s ease;
    transition: bottom 0.3s ease;
}
.flex {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: stretch;
}
/* TOPBAR BUTTONS */
button {
    flex-grow: 1;
    text-align: center;
    
    font-size: 1rem;
    font-weight: 400;
    font-style: normal;
    cursor: pointer;
    color: #000;
    
    background-color: #fff;
    border-radius: 0rem;
    border: none;
    
    margin: 0rem;
    padding: 0rem;
}
.group {
    flex-grow: 1.8;
    font-size: 0.8rem;
    font-weight: 500;
    margin-top: 0.2rem;
    padding: 0rem;
    padding-top: 0.3rem;
}
button:focus {
    outline: 0;
}
button:hover {
    /*color: black !important;*/
}

.btn_games, .col_games {
    color: #cc00ff;
}
.btn_design, .col_design {
    color: #00c4ff;
}
.btn_multi, .col_multi {
    color: #0008ff;
}
.btn_personal, .col_personal {
    color: #888;
}

#impressum {
    font-size: 0.8rem;
    text-align: center;
    margin-top: -1.8rem;
}
#impressum a {
    color: #888;
}

.cursor {
    opacity: 0;
}

/* loaded content */
h3 {
    display: inline-block;
    margin: 0.6rem 0rem 0.7rem;
    width: 100%;
    
    font-size: 3rem;
    font-weight: 300;
}
p, table {
    float: left;
    
    width: 30%;
    width: calc(33% - 1.2rem);
    min-width: 14rem;
    margin: 0rem 0rem 1.2rem 1.2rem;
    padding: 0;
    
    font-size: 0.9rem;
}
p a {
    color: #00c4ff;
    text-decoration: underline;
}
p a:hover {
    color: black;
}
table {
    line-height: 0.9rem;
}
.firstColumn {
    width: 5.6rem;
    padding-right: 0.6rem;
    text-align: right;
    font-style: italic;
}
th {
    padding-top: 0.6rem;
    text-align: left;
    vertical-align: top;
}
td {
    vertical-align: top;
}
#contentLoaded {
    height: auto;
    max-height: 0rem;
    width: 100%;
    margin: 2.4rem 0 1.2rem;
    padding: 0 1.2rem 1.2rem;
    
    overflow-y: hidden;
    overflow-x: visible;
    
    background-color: white;
    opacity: 1;
    
    -webkit-transition: max-height 0.6s linear, margin 0.1s linear, opacity 0.2s linear; 
    -moz-transition: max-height 0.6s linear, margin 0.1s linear, opacity 0.2s linear;
    -o-transition: max-height 0.6s linear, margin 0.1s linear, opacity 0.2s linear;
    transition: max-height 0.6s linear, margin 0.1s linear, opacity 0.2s linear;
}
#selectedInfos {
    margin: 0rem 0rem 0rem;
    display: inline-flex;
    display: inline-flex;
}
#selectedDescription {
    line-height: 1.4;
    letter-spacing: 0.2px;
}
.selectedMD, .selectedDownload {
    font-size: 0.8rem;
    line-height: 1.4;
    letter-spacing: 0.2px;
}
.underButton {
    display: block;
    margin-top: 0.4rem;
}
.image {
    width: 100%;
}
.actual {
    z-index: 5;
}
.nextImage {
    position: absolute;
    opacity: 0;
    left: 0;
    top: 0;
    z-index: 10;
}
.pictures, .videos, .picture {
    /*max-width: 66% */
    position: relative;
    width: 66%;
    float: left;
}
.videos {
    position: relative;
    padding: 0;
	padding-bottom: 37.125%; /* 16:9 */
	height: 0;
}
.btnGallery {
    position: absolute;
    padding: 0.6rem;
    bottom: 0rem;
    left: 0rem;
    width: 40%;
    height: 100%;
    box-sizing: border-box;
    z-index: 20;
    
    font-size: 1.6rem;
    text-align: left;
    color: transparent;
    text-shadow: #000;
    background-color: transparent;
    
    -webkit-transition: color 0.5s;
    -moz-transition: color 0.5s;
    -o-transition: color 0.5s;
    transition: color 0.5s;
}
.right {
    left: auto;
    right: 0rem;
    text-align: right;
}
.play {
    left: 40%;
    right: 40%;
    width: 20%;
    height: 4rem;
    font-size: 1.2rem;
    text-align: center;
    color: transparent;
}
.btnGallery:hover {
    color: white;
}
.btnGallery:disabled {
    color: rgba(255,255,255,0.25);
}
.play:hover {
    color: red;
}

iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.downloadlink {
    display: inline-block;
    width: 100%;
    padding: 0rem 0rem 0.5rem;
    
    color: white;
    background-color: red;
    font-size: 0.9rem;
    font-weight: 300;
    text-decoration: none;
    text-align: left;
}
.downloadTitle {
    font-size: 1.2rem;
    margin-bottom: 0.8rem;
}
.downloadlink:hover {
    color: white;
    background-color: black;
}
.license {
    float: right;
}
.mac, .windows, .others {
    display: none;
}

/* Anpassung auf grossen Bildschirmen */
@media screen and (min-width: 156rem) {
    .pictures, .videos, .picture {
        width: 100%;
    }
    .videos {
        padding-bottom: 56.25%;
    }
    p {
        width: 44%;
        width: calc(50% - 1.2rem);

        margin: 1.2rem 1.2rem 0rem 0rem;
        padding: 0;
    }
    table {
        width: 100%;
        margin: 0.6rem 1.2rem 0rem 0rem;
        padding: 0;
    }
    #selectedInfos {
        width: 60%;
    }
}

@media (hover: none) {
    .btnGallery {
        font-size: 1.2rem;
        color: white;
        text-shadow: 0px 0px 4px #0008;
    }
}

/* Anpassungen auf kleinen Bildschirmen */
@media screen and (max-width: 68rem) {
    .pictures, .videos, .picture {
        width: 100%;
    }
    .videos {
        padding-bottom: 56.25%;
    }
    p {
        float: left;

        width: 44%;
        width: calc(50% - 1.2rem);
        margin: 1.2rem 1.2rem 0rem 0rem;
        padding: 0;
    }
    table {
        width: 100%;
        margin: 0.6rem 1.2rem 0rem 0rem;
        padding: 0;
    }
    #contentLoaded {
        margin: 1.2rem 0 0.6rem;
    }
}
@media screen and (max-width: 38rem) {
    h1 {
        font-size: 11.4vw;
        margin-top: calc(20vh - 2.4rem);

        width: auto;
    }
    h3 {
        font-size: 1.8rem;
    }
    #title {
        margin: auto 1.2rem;
        width: auto;
        width: calc(100% - 2.4rem);
    }
    #messageBoard {
        width: calc(100vw - 3.8rem);
        height: 2.4rem;
    }
    #content {
        width: 100%;
        padding: 0rem 0rem;
    }
    
    .portrait, .landscape {
        display: block;

        float: left;
        width: 14%;
        max-width: 16rem;
        min-width: 8rem;
        height: auto;
        margin: 0.8rem;
        margin-top: 10%;

        box-sizing: border-box;
        text-align: center;
    }
    .landscape {
        width: 19%;
        max-width: 21rem;
        min-width: 11rem;
    }
    .portrait img {
        width: 100%;
    }
    .landscape img {
        width: 100%;
        margin-bottom: 0.8rem;
    }
    h2 {
        font-size: 0.8rem;
    }
    .downloadTitle {
        font-size: 0.9rem;
    }
    
    #topbar {
        left: 0;
        right: 0;
        width: auto;
    }
    .group {
        flex-grow: 0.8;
        font-weight: 400;
        padding-top: 0.6rem;
    }
    #impressum {
        margin-top: -7.2rem;
    }
}
@media screen and (max-width: 34rem) {
    p {
        width: 100%;
        margin: 1.2rem 0rem 0rem 0rem;
    }
    table {
        font-size: 0.8rem;
    }
}